import { WidgetSize, WidgetSizeEvent } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
import { IWidgetSizeInternal } from "./widgetInternalApi.interfaces";
export declare class WidgetSizeApi extends WidgetApi implements IWidgetSizeInternal {
    private _instance;
    private _eventListeners;
    constructor(widgetInstance: IWidgetInstanceInternal);
    addEventListener(listener: (eventName: WidgetSizeEvent, size: WidgetSize) => void): void;
    removeEventListener(listener: (eventName: WidgetSizeEvent, size: WidgetSize) => void): void;
    fireStartEvent(size: string): void;
    fireEndEventAndUpdateSize(size: string): void;
    getSize(): WidgetSize;
    private fireEvent;
}
